const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const members = sequelize.define(
    'members',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

name_kh: {
        type: DataTypes.TEXT,

      },

name_en: {
        type: DataTypes.TEXT,

      },

phone_number: {
        type: DataTypes.TEXT,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  members.associate = (db) => {

    db.members.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.members.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return members;
};

